/*
 * Q70MenuBase.java
 *
 * Created on January 28, 2001, 7:28 PM
 */
package es.ejie.frmk.presentacion.iu.taglib.html.menu.base;

import es.ejie.frmk.presentacion.iu.taglib.html.Q70BaseHandlerTag;


/**
 *
 * @author  ssayles
 * @author  mraible
 */
public abstract class Q70MenuBase extends Q70BaseHandlerTag {
    //~ Instance fields ========================================================

    /** Holds value of property name. */
    protected String name;

    /** Holds value of property title. */
    protected String title;

    /** Holds value of property location. */
    protected String location;

    /** Holds value of property target. */
    protected String target;

    /** Holds value of property description. */
    protected String description;

    /** Holds value of property onclick. */
    protected String onclick;

    /** Holds value of property onmouseover. */
    protected String onmouseover;

    /** Holds value of property onmouseout. */
    protected String onmouseout;

    /** Holds value of property image. */
    protected String image;

    /** Holds value of property altImage. */
    protected String altImage;

    /** Holds value of property toolTip. */
    protected String toolTip;

    /** Holds value of property roles. */
    protected String roles;

    /** Holds value of property page. */
    protected String page;

    /** Holds value of property width. */
    protected String width;
    
    /** Holds value of property height. */
    protected String height;

    /** Holds value of property forward. */
    protected String forward;

    /** Holds value of property action, that is, Struts Logical Action Name. */
    protected String action;
    
    /** Holds parsed (with variables) url that is used to render a link */
    private String url;

    //~ Constructors ===========================================================

    /** Creates new Q70MenuBase */
    public Q70MenuBase() {}

    //~ Methods ================================================================

    /** Getter for property name.
     * @return Value of property name.
     */
    public String getName() {
        return name;
    }

    /** Setter for property name.
     * @param name New value of property name.
     */
    public void setName(String name) {
        this.name = name;
    }

    /** Getter for property title.
     * @return Value of property title.
     */
    public String getTitle() {
        return title;
    }

    /** Setter for property title.
     * @param title New value of property title.
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /** Getter for property location.
     * @return Value of property location.
     */
    public String getLocation() {
        return location;
    }

    /** Setter for property location.
     * @param location New value of property location.
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /** Getter for property target.
     * @return Value of property target.
     */
    public String getTarget() {
        return target;
    }

    /** Setter for property target.
     * @param target New value of property target.
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /** Getter for property description.
     * @return Value of property description.
     */
    public String getDescription() {
        return description;
    }

    /** Setter for property description.
     * @param description New value of property description.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** Getter for property onclick.
     * @return Value of property onclick.
     */
    public String getOnclick() {
        return onclick;
    }

    /** Setter for property onclick.
     * @param onclick New value of property onclick.
     */
    public void setOnclick(String onclick) {
        this.onclick = onclick;
    }

    /** Getter for property onmouseover.
     * @return Value of property onmouseover.
     */
    public String getOnmouseover() {
        return onmouseover;
    }

    /** Setter for property onmouseover.
     * @param onmouseover New value of property onmouseover.
     */
    public void setOnmouseover(String onmouseover) {
        this.onmouseover = onmouseover;
    }

    /** Getter for property onmouseout.
     * @return Value of property onmouseout.
     */
    public String getOnmouseout() {
        return onmouseout;
    }

    /** Setter for property onmouseout.
     * @param onmouseout New value of property onmouseout.
     */
    public void setOnmouseout(String onmouseout) {
        this.onmouseout = onmouseout;
    }

    /** Getter for property image.
     * @return Value of property image.
     */
    public String getImage() {
        return image;
    }

    /** Setter for property image.
     * @param image New value of property image.
     */
    public void setImage(String image) {
        this.image = image;
    }

    /** Getter for property altImage.
     * @return Value of property altImage.
     */
    public String getAltImage() {
        return altImage;
    }

    /** Setter for property altImage.
     * @param altImage New value of property altImage.
     */
    public void setAltImage(String altImage) {
        this.altImage = altImage;
    }

    /** Getter for property toolTip.
     * @return Value of property toolTip.
     */
    public String getToolTip() {
        return toolTip;
    }

    /** Setter for property toolTip.
     * @param toolTip New value of property toolTip.
     */
    public void setToolTip(String toolTip) {
        this.toolTip = toolTip;
    }

    /**
     * Returns the roles.
     * @return String
     */
    public String getRoles() {
        return roles;
    }

    /**
     * Sets the roles.
     * @param roles The roles to set
     */
    public void setRoles(String roles) {
        this.roles = roles;
    }

    /**
     * Returns the value for page.
     * @return Value of property page.
     */
    public String getPage() {
        return this.page;
    }

    /**
     * Sets the value for page.
     * @param page New value of property page.
     */
    public void setPage(String page) {
        this.page = page;
    }

    /**
     * @return String
     */
    public String getWidth() {
        return width;
    }

    /**
     * Sets the width.
     * @param width The width to set
     */
    public void setWidth(String width) {
        this.width = width;
    }

    /**
     * @return String
     */
    public String getForward() {
        return forward;
    }

    /**
     * Sets the forward.
     * @param forward The forward to set
     */
    public void setForward(String forward) {
        this.forward = forward;
    }

    /**
     * Returns the value for action.
     * @return Value of property action.
     */
    public String getAction() {
        return this.action;
    }

    /**
     * Sets the value for action.
     * @param action New value of property action.
     */
    public void setAction(String action) {
        this.action = action;
    }
	/**
	 * @return
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return
	 */
	public String getHeight() {
		return height;
	}

	/**
	 * @param height
	 */
	public void setHeight(String height) {
		this.height = height;
	}

}
